Bug 117619

Summary: Remove ENABLE_CSS_COMPOSITING flags that guard CSS background blending code.
Product: WebKit Reporter: Horia Olaru <olaru>
Component: CSSAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: bdakin, commit-queue, eoconnor, esprehn+autocc, glenn, macpherson, menard, simon.fraser, thorton, WebkitBugTracker
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Horia Olaru 2013-06-13 17:31:03 PDT
Remove ENABLE_CSS_COMPOSITING flags that guard CSS background blending code.
Comment 1 Tim Horton 2013-06-13 18:59:41 PDT
Can we hold off on this one for a little while?
Comment 2 Horia Olaru 2013-06-14 04:53:57 PDT
Created attachment 204702 [details]
Patch

This patch is meant to provide a way to enable -webkit-background-blend-mode, without also enabling -webkit-blend-mode on elements. The -webkit-blend-mode implementation currently parses properties, but does not implement them. I am attaching the patch to get feeback on it. If this is not the appropriate time for the patch, it can be revisited later, when the circumstances allow it.
Comment 3 WebKit Commit Bot 2013-06-27 00:50:10 PDT
Comment on attachment 204702 [details]
Patch

Clearing flags on attachment: 204702

Committed r152083: <http://trac.webkit.org/changeset/152083>
Comment 4 WebKit Commit Bot 2013-06-27 00:50:12 PDT
All reviewed patches have been landed.  Closing bug.